<?php
## INIT
#########
// include main config (required)
include("config.inc.php");

//SOCIAL LINKS
function socialLink_SiteUrlThis_get(){
	$siteUrlThis = socialLink_SiteProtocol_get() . ''. $_SERVER['HTTP_HOST'] .''. $_SERVER['REQUEST_URI'];
	return $siteUrlThis;
}
function socialLink_SiteProtocol_get(){
	$siteProtocol = '';
	if(isset($_SERVER['HTTPS'])){ 
		$siteProtocol = 'https://'; 
	}else{ 	$siteProtocol = 'http://'; 
	}
	return $siteProtocol;
}
function socialLink_SiteTitle_get(){
	$siteTitle = urlencode(_CONF_META_TITLE);
	return $siteTitle;
}
function socialLink_SiteDescr_get(){
	$siteDescription = urlencode(_CONF_META_DESCR);
	return $siteDescription;
}
function socialLink_SiteImage_get(){
	$siteUrlThis = socialLink_SiteUrlThis_get();
	$siteUrlThisServer = str_replace('/index.php','',$siteUrlThis);
	$siteProtocol = socialLink_SiteProtocol_get();
	$siteImage = '' . $siteUrlThisServer .'/'. _CONF_META_OGIMAGE;
	
	return $siteImage;
}

## HTML5 TEMPLATE
#################
?>
<!DOCTYPE html>
<html lang="de">
	<head>
		<title><?php echo _CONF_META_TITLE; ?></title>
		<meta charset="<?php echo _CONF_META_CHARSET; ?>">
		
		<meta name="description" content="<?php echo _CONF_META_DESCR; ?>">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">
				
		<meta name="robots" content="<?php echo _CONF_META_ROBOTS; ?>">
		<meta name="keywords" content="<?php echo _CONF_META_KEYWORDS; ?>">
		
		<!-- SHARE IMAGE //-->
		<meta property="og:image" content="<?php echo socialLink_SiteImage_get(); ?>" />
		
		<!-- jQuery //-->
		<script src="js/jquery-1.11.3.min.js"></script>	
		<script>
			//$.noConflict();
		</script>
			<!-- jQuery Plugin for smooth CSS3 Transitions //-->
			<script src="js/jquery.transit.css3-Transformations/jquery.transit.js"></script>	
		
		<!-- Bootstrap JS 3.6.x CSS -->
		<link href="css/bootstrap.min.css" rel="stylesheet">

		<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
		<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
		<!--[if lt IE 9]>
		<script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
		<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
		<![endif]-->
		
		
		<script>
			//SOCIAL LINKS
			function socialLink_SiteUrl_get()
			{
				//is iframe then take parent url
				if(window.frameElement){
					var siteUrl = parent.document.location.href;
				}else{
					var siteUrl = document.location.href;
				}
				return siteUrl;
			}
			
			function socialLink_SiteUrlThis_get(){
				var siteUrlThis = document.location.href;
				return siteUrlThis;
			}
			function socialLink_SiteProtocol_get(){
				var siteProtocol = '<?php if(isset($_SERVER['HTTPS'])){ echo 'https://'; }else{ echo 'http://'; }; ?>';
				return siteProtocol;
			}
			function socialLink_SiteTitle_get(){
				var siteTitle = "<?php echo urlencode(_CONF_META_TITLE); ?>";
				return siteTitle;
			}
			function socialLink_SiteDescr_get(){
				var siteDescription = "<?php echo urlencode(_CONF_META_DESCR); ?>";
				return siteDescription;
			}
			function socialLink_SiteImage_get(){
				//var siteImage = '<?php echo urlencode("https://www.nabu.de/imperia/md/nabu/images/umwelt/abfall/151207-nabu-muelltonnen-im-schnee-helge-may.jpeg"); ?>';
				var siteUrlThis = socialLink_SiteUrlThis_get();
				var siteUrlThisServer = siteUrlThis.replace('/index.php','');
				var siteProtocol = socialLink_SiteProtocol_get();
				var siteImage = '' + siteUrlThisServer + '/' + '<?php echo urlencode(_CONF_META_OGIMAGE); ?>';
				
				return siteImage;
			}
			//alert(socialLink_SiteImage_get());
			
			function socialLink_Facebook_open(){
				var uri = 'https://www.facebook.com/sharer/sharer.php?s=100&p[title]=' + socialLink_SiteTitle_get() + '&p[summary]=' + socialLink_SiteDescr_get() + '&p[url]=' + encodeURIComponent(socialLink_SiteUrl_get()) + '&p[images][0]=' + socialLink_SiteImage_get() + '';
				window.open(uri, 'sharer', 'toolbar=0,status=0,scrollbars=1,width=626,height=436');
				return false;	
			}
			function socialLink_Email_open(){
				document.location.href = "mailto:?body=Dein Text ...%0D%0A%0D%0ASeite:%0D%0A<?php echo _CONF_META_TITLE; ?>%0D%0A%0D%0AInfos:%0D%0A<?php echo _CONF_META_DESCR; ?>%0D%0A%0D%0ALink:%0D%0A" + socialLink_SiteUrl_get() + "&subject=<?php echo _CONF_META_TITLE; ?>";
			}
			function socialLink_Twitter_open(){
				window.open('https://twitter.com/share?text=' + socialLink_SiteTitle_get() + '...&url=' + encodeURIComponent(socialLink_SiteUrl_get()) + '&counturl=&via=nabu_de&related=nabu','sharer','toolbar=0,status=0,width=548,scrollbars,height=525,top=100,left=200');
				return false;
			}
			function socialLink_GooglePlus_open(){
				window.open('https://plus.google.com/share?url=' + encodeURIComponent(socialLink_SiteUrl_get()) + '','sharer','toolbar=0,scrollbars=1,status=0,width=600,height=600,top=100,left=200');
				return false;
			}
								
		</script>
		          
		<script>
			/** LISTEN 2 HASH - SCROLL To DIVID
			/////////////////////////////////////
			*/
			function scroll2DivId(divId)
			{
				var divId_scrollPositionTop = Math.round(jQuery(divId).offset().top); //better to have full number
				<?php if(@$_REQUEST['debug'] == '1') { ?>
					console.log("scroll2DivId(divId) :: triggered.");
					console.log("scroll2DivId(divId) :: Get offset of div: " + divId + ":offset().top=" + divId_scrollPositionTop + "");
				<?php } ?>
				
				if(window.frameElement){
					<?php if(@$_REQUEST['debug'] == '1') { ?>
						console.log("scroll2DivId(divId) :: Check: page is framed!");
						console.log("scroll2DivId(divId) :: Check: Checking if parent.document is readable: (get we back the iframe src for this page of the parent document?) = " + jQuery("iframe",parent.document).attr("src") + "");
						console.log("scroll2DivId(divId) :: Do: scrolling parent.document instead of frame, to hash divid of frame, with relatively current position in view of parent.document and divid = " + divid + "");
					<?php } ?>
					var iframe_id = window.frameElement.id;
					//test//jQuery("html,body", parent.document).css("background","#000000");
					jQuery("html,body", parent.document).animate({ scrollTop: divId_scrollPositionTop }, 1500);
				}else{
					<?php if(@$_REQUEST['debug'] == '1') { ?>
						console.log("scroll2DivId(divId) :: Check:not iframed. Do:so scroll this page to divid = " + divid + "");
					<?php } ?>
					jQuery("html,body").animate({ scrollTop: divId_scrollPositionTop }, 1500);
				}
			}
			function scroll2DivIdJump(divId,sceneInViewId)
			{
				
				var divId_scrollPositionTop = Math.round(jQuery(divId).offset().top) + parseInt(jQuery(sceneAjaxId).css("top")); //better to have full number
				//console.log("" + divId + ":offset().top=" + divId_scrollPositionTop + "");
				
				
				//on an iframe embedding we scroll the calling document
				if(window.frameElement){
					var iframe_id = window.frameElement.id;
					console.log("framed iframeId:" + iframe_id);
					
					var htmlTop =  jQuery("html,body",parent.document).scrollTop();
					var sceneInViewIdTop = jQuery(sceneInViewId).offset().top; 
					
					//test//jQuery("html,body", parent.document).css("background","#000000");
					jQuery("html,body", parent.document).animate({ scrollTop: divId_scrollPositionTop - sceneInViewIdTop + htmlTop }, 10);
				}else{
					//also add old view position to exactly come to the div in the same view
					var htmlTop =  jQuery("html").scrollTop();
					var sceneInViewIdTop = jQuery(sceneInViewId).offset().top; 
					jQuery("html,body").animate({ scrollTop: divId_scrollPositionTop - sceneInViewIdTop + htmlTop }, 10);
				}
			}
			function scroll2HashId(event)
			{
				//console.log(event);
				var hash = document.location.hash;
				//alert(window.location.href);
				if(hash.length >= 4){
					if(jQuery(hash).attr("id")){
						event.preventDefault();
						//event.stopImmediatePropagation();   
						var divId_scrollPositionTop = Math.round(jQuery(hash).offset().top); //better to have full number
						//console.log("scroll2HashId(): hash found:"+hash+"");
						//console.log("scroll2HashId(): " + hash + ":offset().top=" + divId_scrollPositionTop + "");
						if(window.frameElement){
							//do the trick and scroll the parent document if it is in an iframe (note :: it has to be on the same domain namespace - otherwise the browser policy won't allow it!)
							jQuery("html,body",parent.document).animate({ scrollTop: divId_scrollPositionTop + "px" }, 1500);
						}else{
							jQuery("html,body").animate({ scrollTop: divId_scrollPositionTop + "px" }, 1500);
						}
						var timeoutRemoveHash = window.setTimeout(function(){ removeHashFully(); },2000);
						return false;
					}else{
						//console.log("scroll2HashId(): no div with this id to scroll to, so break operation and do nothing");
					}
				}
			}
			function scroll2GivenHashId(event,hash)
			{
				//here we give the hash with it 
				
				<?php if(@$_REQUEST['debug'] == '1') { ?>
					console.log(event);
					console.log("scroll2GivenHashId(event,hash) :: triggered.");
				<?php } ?>
				
				//var hash = document.location.hash;
				//alert(window.location.href);
				hash = hash.replace('./','');
				
				//alert(hash);
				if(hash.length >= 4){
					if(jQuery(hash).attr("id")){
						event.preventDefault();
						//event.stopImmediatePropagation();   
						var divId_scrollPositionTop = Math.round(jQuery(hash).offset().top); //better to have full number
						//console.log("scroll2HashId(): hash found:"+hash+"");
						//console.log("scroll2HashId(): " + hash + ":offset().top=" + divId_scrollPositionTop + "");
						if(window.frameElement){
							
							<?php if(@$_REQUEST['debug'] == '1') { ?>
								console.log("scroll2GivenHashId(event,hash) :: Check: page is framed!");
								console.log("scroll2GivenHashId(event,hash) :: Check: Checking if parent.document is readable: (get we back the iframe src for this page of the parent document?) = " + jQuery("iframe",parent.document).attr("src") + "");
								console.log("scroll2GivenHashId(event,hash) :: Do: scrolling parent.document instead of frame, to hash divid of frame, with relatively current position in view of parent.document and hash = " + hash + "");
							<?php } ?>
							
							//do the trick and scroll the parent document if it is in an iframe (note :: it has to be on the same domain namespace - otherwise the browser policy won't allow it!)
							jQuery("html,body",parent.document).animate({ scrollTop: divId_scrollPositionTop + "px" }, 1500);
							
						}else{
							<?php if(@$_REQUEST['debug'] == '1') { ?>
								console.log("scroll2GivenHashId(event,hash) :: Check:not iframed. Do:so scroll this page to hash divid = " + hash + "");
							<?php } ?>
							
							jQuery("html,body").animate({ scrollTop: divId_scrollPositionTop + "px" }, 1500);
						}
						var timeoutRemoveHash = window.setTimeout(function(){ removeHashFully(); },2000);
						return false;
					}else{
						<?php if(@$_REQUEST['debug'] == '1') { ?>
							console.log("scroll2GivenHashId(event,hash) :: WARNING: no div with this id to scroll to has been found, CHECK YOU HASH LINK! So break operation and do nothing.");
						<?php } ?>
					}
				}
			}
			function removeHashFully(){ 
				//the # sign always stays there, and location changes trigger page reload
				//so we have to use html 5 history push state for this
				history.pushState("", document.title, window.location.href.split('#')[0]);
				//window.location.hash = "";
				<?php if(@$_REQUEST['debug'] == '1') { ?>
					console.log("removeHashFully() :: called. remove hash from location url hard (including #sign)! on purpose.");
				<?php } ?>
			}
			//triggers
			//////////
			/*window.onhashchange = function(event){
				//event.preventDefault();
				//event.stopImmediatePropagation();  
				console.log("trigger: window.onhashchange");
				
				var hash = document.location.hash;
				if(hash.indexOf("#") != -1){
					//hash found
					//e.preventDefault();
					scroll2HashId(event);
					console.log("trigger: function scroll2HashId();");
				}else{
					//no hashsign so we could set a default action or something
					console.log("window.onhashchange: hash has changed (but here the hash was reset to nothing), so break and do nothing.");
				}
			};*/
			//take the function above and not the default id hash is changed by link
			jQuery(document).ready(function()
			{
				function hashtrigger(jQueryThisObj,href,event){
					//event.preventDefault();
					//also reset carousels to defaults to have a fresh start
					jQuery("#carousel-scene-02").carousel(1);
					jQuery("#carousel-scene-03").carousel(0);
					//var href = jQuery(jQueryThisObj).attr("href");
					scroll2GivenHashId(event,href);
				}
				//normal hash link
				jQuery('a[href^="#"],a[href^="./#"]').on('click', function(event){
					 var jQueryThisObj = this; 
					 var href = jQuery(this).attr("href");
					 hashtrigger(jQueryThisObj,href,event);
				});
				//also support svg
				jQuery('svg a').on('click', function(event){
					 var jQueryThisObj = this; 
					 var href = jQuery(this).attr("xlink:href");
					 hashtrigger(jQueryThisObj,href,event);
				});
			});
			/*jQuery(document).ready(function(){
				scroll2HashId();
			});*/
		</script>
		<script>
			/** INFOBOX LOGIC 
			/////////////////////////////////
			*/
			jQuery(document).ready(function(){
					
				jQuery(".scene-element-info").mouseenter(function(){
					
					var infoboxSelector = 	".containerbox-info-" + jQuery(this).attr("data-info-box");
					var infoboxText = jQuery(this).attr("data-info-text");
					var infoboxClass = "";
					
					//stop any running anim queue
					jQuery(infoboxSelector).stop(true, true,false);
					
					if(jQuery(this).attr("data-info-class")){
						infoboxClass = 	jQuery(this).attr("data-info-class");
					}
					jQuery(infoboxSelector).addClass(infoboxClass);
					var timeoutInfoboxContent = window.setTimeout(function(){ jQuery(infoboxSelector + " .containerbox-info_content").html(infoboxText); jQuery(infoboxSelector + " .containerbox-info_content").fadeIn(200); },200);
					jQuery(infoboxSelector).fadeIn();
					
				});
				jQuery(".scene-element-info").mouseleave(function(){
						
					var infoboxSelector = 	".containerbox-info-" + jQuery(this).attr("data-info-box");
					
					//stop any running anim queue
					jQuery(infoboxSelector).stop(true, true,false);
					
					jQuery(infoboxSelector).removeClass("red");
					jQuery(infoboxSelector).removeClass("green");
					jQuery(infoboxSelector).fadeOut(200);
					jQuery(infoboxSelector + " .containerbox-info_content").fadeOut(100);
					jQuery(infoboxSelector + " .containerbox-info_content").html("");
				});
			});
			
			
			/** LOGIC FOR AJAX DIV
			////////////////////////////////
			*/
			
			function scenes_ajax_cloneScene(sceneId,divIdTarget)
			{
				
				/** clones a whole div into another div with its content and appended javascript events (by deepcopy enabled with true,true) by jQuery clone(true,true) */
				var sceneName = sceneId.replace('#','');
				//var sceneInfoDiv = '#container-well-box-' + sceneName;
				var sceneClass = sceneId.replace('#','.');
				
				//hardcore!
				jQuery(sceneId).clone(true, true).appendTo(divIdTarget);
				//jQuery(sceneInfoDiv).clone(true, true).appendTo(divIdTarget);
				
				//remove element marking scene as orig
				jQuery(divIdTarget + " .scene-orig-marker").attr("name",sceneId + "-clone");
				jQuery(divIdTarget + " .scene-orig-marker").attr("id",sceneId + "-clone");
				jQuery(divIdTarget + " .scene-orig-marker").removeClass(sceneId.replace('#','') + "-orig");
				jQuery(divIdTarget + " .scene-orig-marker").addClass(sceneId.replace('#','') + "-clone-marker");
				jQuery(divIdTarget + " .scene-orig-marker").removeClass("scene-orig");
				jQuery(divIdTarget + " .scene-orig-marker").addClass("scene-clone");
				jQuery(divIdTarget + " .scene-orig-marker").addClass("scene-clone-marker");
				jQuery(divIdTarget + " .scene-clone-marker").removeClass(sceneId + "-orig-marker");
				jQuery(divIdTarget + " .scene-clone-marker").removeClass("scene-orig-marker");
				//remove IDs of all cloned elements to avoid conflicts
				jQuery(divIdTarget + " *").removeAttr("id");
				//remove scrollReveal stuff in all cloned elements (because since it doesn't trigger these elements we have to do this - otherwise they stay hidden=
				jQuery(divIdTarget + " .scene-element").removeAttr("style");
				jQuery(divIdTarget + " .scene-element-trigger").removeAttr("style");
				jQuery(divIdTarget + " .scene-trigger-link").removeAttr("style");
				jQuery(divIdTarget + " .scene-element-icon").removeAttr("style");
				//make links pointing to correct carousel where they are coloned in (in the scene they point to theirs)
				if(sceneName == "scene-02"){
					jQuery(divIdTarget + " a.scene-trigger-link").attr("onclick","jQuery(this).closest('.carousel').carousel(0);");
				}
				if(sceneName == "scene-03"){
					jQuery(divIdTarget + " a.scene-trigger-link").attr("onclick","jQuery(this).closest('.carousel').carousel(1);");
				}
			}
		</script>
		
		<!-- ScrollReveal Library 
		############################### //-->
		<?php
		if(@$_REQUEST['iframed'] == '1'){
		?>
			<!-- take the iframed version 
				!!! Because this document here is embedded by an iframe with <iframe src="thisdocumenthere.php?iframed=1"...
				So scrollreveal is listening to scroll-events of the 
				parent document that holds the iframe that is loading this document here,
				to animate content here (that is iframed).
				!!!!
			//-->
			<script src="js/scrollreveal/dist/scrollreveal.iframed.js"></script>
			
		<?php }else{ ?>
			<!-- take normal version, because this document isn't iframed 
				!!! If you load this document here into an iframe YOU MUST load it with <iframe src="thisdocumenthere.php?iframed=1"...
				Then we will load scrollreveal.iframed.js for listening to the scrolling of the parent document to 
				animate things here in the iframe, instead of listening to the scrolling of tis document here.
				!!!!
			//-->
			<script src="js/scrollreveal/dist/scrollreveal.js"></script>
		<?php } ?>
		
			<script>
				// TRIGGER SCROLLREVEAL
				///////////////////////////////////////////////////////////////////
				// - this shows the elements by scrolling the page with nice anims
				///////////////////////////////////////////////////////////////////
				jQuery(document).ready(function() 
				{ 
					//first make some nice Anim sets
					/**
					// Animation
					origin      : 'bottom',
					distance    : '20px',
					duration    : 500,
					delay       : 0,
					rotate      : { x: 0, y: 0, z: 0 },
					opacity     : 0,
					scale       : 0.9,
					easing      : 'cubic-bezier( 0.6, 0.2, 0.1, 1 )',
					// Options
					container   : null,
					mobile      : true,
					reset       : false,
					useDelay    : 'always',
					viewFactor  : 0.20,
					viewOffset  : { top: 0, right: 0, bottom: 0, left: 0 },
					afterReveal : function( domEl ) {},
					afterReset  : function( domEl ) {}
					*/
					var sr_Anim_Title_1 = { opacity: 0.0, viewFactor: 0.10, scale: 1.0, duration: 1000, reset: true };
					var sr_Anim_SceneHead_1 = { scale: 1.0, opacity: 1.0, rotate: { x: 0, y: 20, z: 0 },  viewFactor: 0.05, duration: 800, reset: true };
					var sr_Anim_FadeIn_1 = { opacity: 0.0, viewFactor: 0.10, scale: 0.9, duration: 1000, reset: false };
					var sr_Anim_ZoomIn_1 = { opacity: 0.0, viewFactor: 0.10, scale: 0.7, duration: 1000, reset: false };
					var sr_Anim_ZoomIn_2 = { opacity: 0.0, viewFactor: 0.10, scale: 1.1, duration: 1000, reset: false };
					var sr_Anim_ZoomIn_3 = { opacity: 0.0, viewFactor: 0.10, scale: 1.2, duration: 2500, reset: false };
					var sr_Anim_ZoomIn_4 = { opacity: 0.0, viewFactor: 0.10, scale: 1.1, duration: 3000, reset: false };
					var sr_Anim_Rotate_1 = { scale: 0.9, viewFactor: 0.10, duration: 1000, rotate: { x: 200, y: 0, z: 400 }, reset: true };
					var sr_Anim_Show_1 = { scale: 1.1, viewFactor: 0.10, duration: 1000, reset: false };
					var sr_Anim_Show_2 = { scale: 0.9, viewFactor: 0.10, duration: 1000, reset: false };
					var sr_Anim_Scene_1 = { rotate: { x: 0, y: 10, z: 0 }, scale: 1.0, viewFactor: 0.05, duration: 600, reset: false };
					var sr_Anim_SlideUp_1 = { rotate: { x: 0, y: 10, z: 0 }, scale: 1.0, viewFactor: 0.05, duration: 600, reset: false };
					var sr_Anim_SlideUp_1b = { rotate: { x: 0, y: 20, z: 0 }, scale: 1.0, viewFactor: 0.10, duration: 600, reset: false };
					var sr_Anim_SlideUp_2 = { rotate: { x: 0, y: 20, z: 0 }, scale: 1.0, viewFactor: 0.10, duration: 800, reset: true };
					var sr_Anim_SlideUp_3 = { rotate: { x: 0, y: 20, z: 0 }, scale: 1.0, viewFactor: 0.10, duration: 2000, reset: false };
					var sr_Anim_SlideUp_Element_1 = { delay: 0, rotate: { x: 0, y: 20, z: 0 }, scale: 1.0, viewFactor: 0.10, duration: 2000, reset: false };
					var sr_Anim_SlideUp_Element_2 = { delay: 300, rotate: { x: 0, y: 20, z: 0 }, scale: 1.0, viewFactor: 0.10, duration: 2000, reset: false };
					var sr_Anim_SlideUp_Element_3 = { delay: 800, rotate: { x: 0, y: 20, z: 0 }, scale: 1.0, viewFactor: 0.10, duration: 2000, reset: false };
					var sr_Anim_SlideUp_Element_4 = { delay: 1200, rotate: { x: 0, y: 20, z: 0 }, scale: 1.0, viewFactor: 0.10, duration: 2000, reset: false };
					var sr_Anim_SlideUp_Element_Lkw = { delay: 0, rotate: { x: 0, y: 20, z: 0 }, viewFactor: 0.1, duration: 2000, reset: false };
					var sr_Anim_SubHeadSlideUp_Element_1 = { delay: 0, rotate: { x: 0, y: 20, z: 0 }, scale: 1.0, viewFactor: 0.10, duration: 2000, reset: false };
					var sr_Anim_SubHeadSlideUp_Element_2 = { delay: 300, rotate: { x: 0, y: 20, z: 0 }, scale: 1.0, viewFactor: 0.10, duration: 2000, reset: false };
					var sr_Anim_SubHeadSlideUp_Element_3 = { delay: 800, rotate: { x: 0, y: 20, z: 0 }, scale: 1.0, viewFactor: 0.10, duration: 2000, reset: false };
					var sr_Anim_SubHeadSlideUp_Element_4 = { delay: 1200, rotate: { x: 0, y: 20, z: 0 }, scale: 1.0, viewFactor: 0.10, duration: 2000, reset: false };
					var sr_Anim_SlideUp_Image_1 = { easing: 'ease-in-out', delay: 0, rotate: { x: 0, y: 40, z: 0 }, scale: 1.0, viewFactor: 0.20, duration: 1000, afterReveal: function(domEl){ Anim_Tooltip_ShowAndHide(domEl); }, afterReset: function(domEl){   }, reset: false };
					var sr_Anim_SlideUp_Image_2 = { easing: 'ease-in-out', delay: 400, rotate: { x: 0, y: 50, z: 0 }, scale: 1.0, viewFactor: 0.20, duration: 1000, afterReveal: function(domEl){ Anim_Tooltip_ShowAndHide(domEl); }, afterReset: function(domEl){   }, reset: false };
					var sr_Anim_SlideUp_Image_3 = { easing: 'ease-in-out', delay: 900, rotate: { x: 0, y: 50, z: 0 }, scale: 1.0, viewFactor: 0.20, duration: 1000, afterReveal: function(domEl){ Anim_Tooltip_ShowAndHide(domEl); }, afterReset: function(domEl){   }, reset: false };
					var sr_Anim_SlideUp_Image_4 = { easing: 'ease-in-out', delay: 1300, rotate: { x: 0, y: 50, z: 0 }, scale: 1.0, viewFactor: 0.20, duration: 1000, afterReveal: function(domEl){ Anim_Tooltip_ShowAndHide(domEl); }, afterReset: function(domEl){   }, reset: false };
					var sr_Anim_SlideUp_Image_5 = { easing: 'ease-in-out', delay: 1700, rotate: { x: 0, y: 50, z: 0 }, scale: 1.0, viewFactor: 0.20, duration: 1000, afterReveal: function(domEl){ Anim_Tooltip_ShowAndHide(domEl); }, afterReset: function(domEl){   }, reset: false };
					var sr_Anim_SlideUp_Image_6 = { easing: 'ease-in-out', delay: 2100, rotate: { x: 0, y: 50, z: 0 }, scale: 1.0, viewFactor: 0.20, duration: 1000, afterReveal: function(domEl){ Anim_Tooltip_ShowAndHide(domEl); }, afterReset: function(domEl){   }, reset: false };
					var sr_Anim_SlideUp_Image_7 = { easing: 'ease-in-out', delay: 2500, rotate: { x: 0, y: 50, z: 0 }, scale: 1.0, viewFactor: 0.20, duration: 1000, afterReveal: function(domEl){ Anim_Tooltip_ShowAndHide(domEl); }, afterReset: function(domEl){   }, reset: false };
					var sr_Anim_SlideUp_Image_8 = { easing: 'ease-in-out', delay: 2900, rotate: { x: 0, y: 50, z: 0 }, scale: 1.0, viewFactor: 0.20, duration: 1000, afterReveal: function(domEl){ Anim_Tooltip_ShowAndHide(domEl); }, afterReset: function(domEl){   }, reset: false };
					var sr_Anim_SlideDown_1 = { origin: 'top', rotate: { x: 0, y: 10, z: 0 }, scale: 1.0, viewFactor: 0.10, duration: 1000, reset: false };
					
					//additional anim function to be called by callback from anim
					function Anim_Number_CountUp(domEl, n_start, n_end, n_text_pre, n_text_post)
					{
						/*for(i=n_start;i<=n_end;i++){
							(function(i) {
								setTimeout(function(){ jQuery(divid).html(n_text_pre + "" + i + "" + n_text_post); }, i * 100);
							})(i);
						}*/
						var i = n_start 
						var timer = setInterval(function() {
							//jQuery(divid).html(n_text_pre + "" + i + "" + n_text_post);
							domEl.innerHTML = n_text_pre + "" + i + "" + n_text_post;
							
							if(i == n_end) { 
								//domEl.style.textShadow = "0 0 10px rgba(255,255,255,0.6)";
								clearInterval(timer); 
								jQuery(".scene-element-text-anim-bar").addClass("anim_finished");
							}
							i++;
						}, 100);
					}
					function Anim_Number_growHeight(divid, percent_start, percent_end)
					{
						//var jQueryEl = jQuery(domEl); 
						var i = percent_start 
						jQuery(divid).removeClass("anim_finished");
						var timer = setInterval(function() {
							jQuery(divid).css("height", i*2 + "%");
							
							if(i == percent_end) { 
								clearInterval(timer);
								jQuery(divid).addClass("anim_finished");
							}
							i++; 
						}, 50);
						jQuery(divid).addClass("anim_finished");
					}
					function Anim_addClass(divid,classname){
						jQuery(divid).addClass(classname);
					}
					function Anim_Text_Type(domEl, text, text_pre, text_post, n)
					{
						/** 
						domEl = #domElementname, .domElementName
						text = text to write
						n = which letter to start
						*/
						
						if (n < (text.length)) {
							domEl.innerHTML = text_pre + "" + text.substring(0, n+1) + "" + text_post;
							n++;
							setTimeout(function() {
								Anim_Text_Type(domEl, text, text_pre, text_post, n);
							}, 200);
						}
					}
					
					function Anim_SlideToLeft_infinite(divid,xLeftStart,xLeftEnd,durationTime)
					{
						jQuery( "" + divid + "" ).css("left",xLeftStart);
						jQuery( "" + divid + "" ).css("display","block");
						jQuery( "" + divid + "" ).animate({
								left: "+="+xLeftEnd+""
							}, durationTime, "linear", function() {
								Anim_SlideToLeft_infinite(divid,xLeftStart,xLeftEnd,durationTime);
							});
					}
					function Anim_Tooltip_ShowAndHide(domEl){
						var jQueryEl = jQuery(domEl); 
						
						/** SHOW TOOLTIPS ON SCROLL INTO VIEW
						//////////////////////////////////////
						*/
						if(jQueryEl.attr("data-toggle") == "tooltip"){
							//trigger show tooltip
							//setTimeout(function () { jQueryEl.trigger('mouseenter'); }, 500);
							//trigger hide tooltip after a duration
							//setTimeout(function () { jQueryEl.trigger('mouseleave'); }, 3500);
						}
					}
					function Anim_Pulsate_infinite(divid,scaleFactorStart,scaleFactorEnd,durationTime)
					{
						/** here we use jquery.transit.js that has to be included before (needs jQuery 1.4+)
						    that enables us to use css3 transitions with fn.animate-like code syntax of jQuery
						*/
						jQuery( "" + divid + "" ).css({ scale: scaleFactorStart });
						jQuery( "" + divid + "" ).transition({
								scale: scaleFactorEnd
							}, (durationTime / 2), "linear", function() {
								jQuery( "" + divid + "" ).transition({
									scale: scaleFactorStart
								},(durationTime / 2),"linear", function(){
									Anim_Pulsate_infinite(divid,scaleFactorStart,scaleFactorEnd,durationTime);
								});
							});
					}
					function Anim_FlyAround_1_infinite(divid,durationTime)
					{
						/** here we use jquery.transit.js that has to be included before (needs jQuery 1.4+)
						    that enables us to use css3 transitions with fn.animate-like code syntax of jQuery
						*/
						jQuery( "" + divid + "" ).css({ marginLeft: 0, marginTop: 0 });
						jQuery( "" + divid + "" ).transition({
								marginLeft: 10,
								marginTop: -10
							}, (durationTime / 2), "linear", function() {
								jQuery( "" + divid + "" ).transition({
									marginLeft: 0,
									marginTop: 0
								},(durationTime / 2),"linear", function(){
									Anim_FlyAround_1_infinite(divid,durationTime);
								});
							});
					}
					
					// INIT
					<?php if(@$_REQUEST['iframed'] == '1'){ ?>
						
						// iframe version
						// get offset of iframe from top in parent document and set it in the options or ScrollReveal
						// - else ScrollReveal would trigger too early or too late if the iframe is not really on the top of the window
						var iframe_id = window.frameElement.id;
						var iframe_offset = jQuery("#" + iframe_id, parent.document).offset().top;
						//console.log("WIGWAM DEBUG :: IFRAME ID is: " + iframe_id);
						//console.log("WIGWAM DEBUG :: IFRAME OFFSET FROM TOP is: " + iframe_offset);
						//console.log("WIGWAM DEBUG :: INITIATE ScrollReveal with: \nwindow.SR = ScrollReveal( {  viewOffset  : { top: (-iframe_offset + 20), right: 0, bottom: (iframe_offset + 50), left: 0 }, reset:true } );");
						window.SR = ScrollReveal( {  viewOffset  : { top: (-iframe_offset + 20), right: 0, bottom: (iframe_offset + 50), left: 0 }, reset:true } );
						
					<?php }else{ ?>
						// normal version
						//console.log("WIGWAM DEBUG :: DOC IS NOT EMBEDDED INTO IFRAME // SO START ScrollReveal normal without offsets");
						//console.log("WIGWAM DEBUG :: INITIATE ScrollReveal with: \nwindow.SR = ScrollReveal( {  viewOffset  : { top: 0, right: 0, bottom: 0, left: 0 }, reset:true } );");
						window.SR = ScrollReveal( {  viewOffset  : { top: 0, right: 0, bottom: 0, left: 0 }, reset:true } );
					<?php } ?>
					
					// THE MAGIC HAPPENS HERE - THE SCRIPT 
					// SET TO SCENES AND ELEMENTS
					///////////////////////////////////
					
						//general
						SR.reveal("#title", sr_Anim_Title_1);
						//SR.reveal('.scene-head', sr_Anim_SceneHead_1);
						SR.reveal(".scene-element-text", sr_Anim_SlideDown_1)
						SR.reveal(".scene-element-anim", sr_Anim_SlideUp_2);
						//SR.reveal(".scene-element-anim-1", sr_Anim_SlideUp_1b);
						var docLoadWidth = jQuery( document ).width();
						if(docLoadWidth >= 500){
							//SR.reveal(".scene-element-lkw-anim", sr_Anim_SlideUp_Element_Lkw);
						}
						SR.reveal(".scene-element-image-anim", sr_Anim_SlideUp_Image_1);
						SR.reveal(".scene-element-image-anim-1", sr_Anim_SlideUp_Image_1);
						SR.reveal(".scene-element-image-anim-2", sr_Anim_SlideUp_Image_2);
						SR.reveal(".scene-element-image-anim-3", sr_Anim_SlideUp_Image_3);
						SR.reveal(".scene-element-image-anim-4", sr_Anim_SlideUp_Image_4);
						SR.reveal(".scene-element-image-anim-5", sr_Anim_SlideUp_Image_5);
						SR.reveal(".scene-element-image-anim-6", sr_Anim_SlideUp_Image_6);
						SR.reveal(".scene-element-image-anim-7", sr_Anim_SlideUp_Image_7);
						SR.reveal(".scene-element-image-anim-8", sr_Anim_SlideUp_Image_8);
						//SR.reveal(".scene-element-subhead", sr_Anim_SlideUp_Element_1);
						//SR.reveal(".scene-element-subhead-1", sr_Anim_SubHeadSlideUp_Element_1);
						//SR.reveal(".scene-element-subhead-2", sr_Anim_SubHeadSlideUp_Element_2);
						//SR.reveal(".scene-element-subhead-3", sr_Anim_SubHeadSlideUp_Element_3);
						//SR.reveal(".scene-element-subhead-4", sr_Anim_SubHeadSlideUp_Element_4);
						
						//custom Anims
						
						//scenes
						
						//SR.reveal(".scene-intro", sr_Anim_SlideUp_2); //{ opacity: 0.0, viewFactor: 0.10, scale: 1.3, duration: 2500, reset: true, afterReveal: function(domEl){ }, afterReset: function(domEl){ } });
							//Anim_SlideToLeft_infinite("#scene-intro-image-anim-clouds",680,-1390,22000); 
						
				});
			</script>
			
			<script>
				// SPECIAL ON-SCROLL LOGIC FOR IMAGES
				//////////////////////////////////////////
				// - shows them if they come into view (also iframe-loaded content from here supported)
				// 	- so for example anim-gifs start, when they come into view
				// - ALL IMAGES WITH the class 
				// 	- <img class="showOnScroll" 
				//   will be triggered !!!!!!!!!!!
				/////////////////////////////////////////////////////////////////
				// (C)2016 by Marcus Rose for WIGWAM GmbH | http://www.wigwam.im
				////////////////////////////////////////////////////////////////
				
				// put it in DOM ready because the preloader / dom is not yet initialized
				jQuery(document).ready(function()
				{
					//GETS SCROLLWINDOW POSITION OF ELEMENT
					function DOM_Element_scrolledIntoView(domElementImage,domWindow)
					{
						if(window.frameElement){
							var iframe_id = window.frameElement.id;
							var iframe_offset = (jQuery("#" + iframe_id, parent.document).offset().top - 30);
						}else{
							var iframe_offset = 0; 
						}
						
						var centerY = Math.max(0,((jQuery(domWindow).height()-jQuery(domElementImage).outerHeight()) / 1) + jQuery(domWindow).scrollTop() - iframe_offset);
						var elementTop = jQuery(domElementImage).offset().top;
						var elementBottom = elementTop + jQuery(domElementImage).height();
						return elementTop <= centerY && elementBottom >= centerY;
					}
					//RESETS THE SRC OF IMAGE AND TRIGGERS NICE FAST FADEIN
					function Trigger_onScroll_SetImage(domElementImage)
					{
						//console.log("WIGWAM DEBUG :: ScrollWindow Image Trigger: " + jQuery(domElementImage).attr("src") + " came into view");
						jQuery(domElementImage).addClass("isInView");
						jQuery(domElementImage).removeClass("isOutOfView");
						//remember src
						var domElementImage_src = jQuery(domElementImage).attr("src");
						//first hide 
						jQuery(domElementImage).hide(0);
						jQuery(domElementImage).attr("src","");
						//set new src and show
						jQuery(domElementImage).attr("src",domElementImage_src);
						jQuery(domElementImage).fadeIn(200);
					}
					
					//TRIGGERS THAT START THE THING UP
					///////////////////////////////////////////////////////////////
					
						//TRIGGER PRELOADER
						////////////////////////////////////////////
						//preloadImageArray_and_TriggerAfter(arrImages);
						
						// TRIGGER BY WINDOW SCROLL EVENTS
						// - ACTUALLY THE THING THAT IS MOST IMPORTANT
						// - if you scroll to the image, the function fires and loads its src again
						// - so we start anim gifs when they come into view for example
						// 	- understood?
						// - IMAGE has to have the class <img class="showOnScroll ..." !!!!!!!!!!!
						//////////////////////////////////////////
						
						//is loaded into iframe, so we use the parent window and look, if this here came into view
						if(window.frameElement){
							var domWindow = window.parent;
						}else{
							//is standalone and not in iframe
							var domWindow = window;
						}
						/** THE ACTUALL TRIGGER ON WINDOW EVENTS */
						jQuery(domWindow).on("scroll resize load", function(){
							jQuery("img.showOnScroll").each(function(index, element){
								var domElementImage = element;
								if (DOM_Element_scrolledIntoView(domElementImage, domWindow)){
									if(!jQuery(domElementImage).hasClass("isInView")){ Trigger_onScroll_SetImage(domElementImage); }
									//and do it once for ONE scroll and then never again
									jQuery(domElementImage).removeClass("showOnScroll");
									jQuery(domElementImage).addClass("showedOnceOnScroll");
								}else{
									jQuery(domElementImage).removeClass("isInView"); jQuery(domElementImage).addClass("isOutOfView");
								}
							});
						});
					
				});//jQuery(domready) function End
		</script>
		   
		<!-- BOOTSTRAP JS 3.6.x // Include all compiled plugins (below), or include individual files as needed -->
		<script src="js/bootstrap.min.js"></script>
			<script>
				//CAROUSEL LOGIC
				jQuery(".carousel").carousel();
					jQuery(document).ready(function(){ 
						var run = 0;						
						jQuery('.carousel').on('slide.bs.carousel', function (e) {
								
							var slidesFrom = jQuery(this).find('.active').index();
							var carouselId = jQuery(this).attr("id"); 
							var slidesTo = jQuery(e.relatedTarget).index();
							var slidesTotal = jQuery(".item",this).length;
							var slidesToRel = jQuery(e.relatedTarget).attr("rel");
							var slidesHelpScreenRel = jQuery(e.relatedTarget).attr("data-help-rel");
							//hide or show nav depending on slides
							//if start
								if(slidesToRel >= 2){
									jQuery(".left.carousel-control",this).fadeIn();
									jQuery(".right.carousel-control",this).fadeIn();
								}
								//if end
								if(slidesToRel == slidesTotal){
									jQuery(".left.carousel-control",this).fadeIn();
									jQuery(".right.carousel-control",this).fadeOut();
								}
								if(slidesToRel <= 1){
									jQuery(".left.carousel-control",this).fadeOut();
									jQuery(".right.carousel-control",this).fadeIn();
								}
								//console.log(e);
								//console.log("CAROUSEL :: Sliding from "+ slidesFrom+' => '+slidesTo +" of total slides: "+ slidesTotal);
							
							//assign triggerable infoscreens depending on screen shown in carousel
							//we only use one trigger for two different graohics here, that is shown on only 2 of 4 screens)
								//first show trigger
								if((slidesHelpScreenRel != "0") && (slidesHelpScreenRel != "")){
									//jQuery("#scene-moorentstehung-infoscreen_1-trigger").fadeOut();
									//jQuery("#scene-moorentstehung-infoscreen_1-trigger").fadeIn();
									
									//then set trigger
									//jQuery("#scene-moorentstehung-infoscreen_1-trigger").attr("data-rel",slidesHelpScreenRel);
								}else{
									//jQuery("#scene-moorentstehung-infoscreen_1-trigger").fadeOut();
								}								
						});
						//AFTER THE SLIDE
						jQuery('.carousel').on('slid.bs.carousel', function (e) {
						});
						
						//SUPPORT TOUCHEVENTS ONSWIPE
						//No need for jQuery mobile or any other plugins. If you need to adjust the sensitivity of the swipe adjust the 5 and -5. Hope this helps someone.
						//see @ http://stackoverflow.com/questions/21349984/how-to-make-bootstrap-carousel-slider-use-mobile-left-right-swipe
						jQuery(".carousel").on("touchstart", function(event){
							var xClick = event.originalEvent.touches[0].pageX;
							jQuery(this).one("touchmove", function(event){
									var xMove = event.originalEvent.touches[0].pageX;
									if( Math.floor(xClick - xMove) > 5 ){
										jQuery(".carousel").carousel('next');
									}
									else if( Math.floor(xClick - xMove) < -5 ){
										jQuery(".carousel").carousel('prev');
									}
							});
							jQuery(".carousel").on("touchend", function(){
								jQuery(this).off("touchmove");
							});
						});
					});
					
				//TOOLTIP
				jQuery(document).ready(function(){
					//this works also for the c.oned elements
					jQuery('body').tooltip({
					    selector: '[data-toggle="tooltip"]',
					    viewport: 'body',
					    container: 'body',
					    html: true,
					    trigger: 'hover focus'
					});
					//add Class of tooltip type by trigger
					jQuery('[data-toggle="tooltip"]').on('inserted.bs.tooltip', function(){
						var tooltipId = jQuery(this).attr("aria-describedby");
						var triggerTooltipClass = jQuery(this).attr("data-tooltip-class"); 
						jQuery("#" + tooltipId).addClass(triggerTooltipClass);
					});
					
					//this works not for the cloned elements
					//jQuery('[data-toggle="tooltip"]').tooltip()
				});
				
			</script>
		
		
		<!-- general //-->
		<link href='https://fonts.googleapis.com/css?family=Source+Sans+Pro:400,200,200italic,300,300italic,400italic,600,600italic,700,700italic,900,900italic' rel='stylesheet' type='text/css'>

		<link rel="stylesheet" href="css/index.css">
		<script src="js/index.js"></script>
		
		<!-- Hyphenation for too long words (de version) //-->
		<script src="js/hyphenator.js"></script>
		<script>
			// WIGWAM
			// hyphenate all words that are too long with german hyphenate rules where class 'hyphenate' is added
			jQuery(document).ready(function(){
				//jQuery("h1").addClass("hyphenate");
				//jQuery("h2").addClass("hyphenate");
				//jQuery("h3").addClass("hyphenate");
				//jQuery("h4").addClass("hyphenate");
				//jQuery("p.content-text").addClass("hyphenate");
				//jQuery("p:not(.donthyphenate)").addClass("hyphenate");
				//Hyphenator.run();
			});
		</script>

		<script>
			// RESPONSIVENESS
			/////////////////////////////////////////////////////////////

				//INIT
				jQuery(document).ready(function() {
					//remember
					jQuery("#main").attr("orig-width",jQuery("#main").css("width"));
					jQuery("#main").attr("orig-height",jQuery("#main").css("height"));
					//make horizontal scrolling disappear
					jQuery("body,html").css("overflow-x","hidden");
					jQuery("body").css("overflow","hidden");
					if(window.frameElement)
					{ 	//hide scrollbars, becausei it is iframes
						jQuery("body,html").css("overflow","hidden");
					}else{
						//leave scrollbars here because it is not iframes
						//jQuery("body").css("overflow","hidden");
					}
				});
				//MAINFUNC
				function listenResponsive()
				{
					//MAKE MAIN ALWAYS SAME HEIGHT As WIDTH 
					//(because there's a 100% width and 100% height circle inside) 
					var mainWidth = jQuery( "#main" ).width();
					//jQuery("#main").css("height",mainWidth);
					<?php if(@$_REQUEST['debug'] == '1'){ ?>
						jQuery("#js_debug").show(0);
						jQuery("#js_debug").html("#MAIN WIDTH="+mainWidth+"px\n");
					<?php } ?>
					
					//alert(docWidth);
					if(mainWidth <= 767){
						
						//global
						jQuery('body').addClass("mobile");
						
						//SCENES
							
					}else{
						//global
						jQuery('body').removeClass("mobile");
						
						//SCENES
							
					}
					
					//change parent iframe height according to content of this document
					//ONLY if this document is called in an iframe (window.frameElement is the best overall method for that)
					<?php /**if($_REQUEST['iframed'] == '1') { */?>
						if(window.frameElement){
							
							//var domHeight = Math.max(jQuery(document).height(), jQuery(window).height(), jQuery("#outer").height());
							var domHeight = jQuery("#outer").height() + 100; //(+100 because of the text at the bottom) This in all works better here, because document height is first not set on mobile to be loong (by overflow: hidden) and only gets the initial viewport size of the iframe (950) and secondly not reset after beeing huge and long with the long version on mobile. The outer IS correct in height with the timeout method below AND ALSO reset when we switch back to the circle by not using Math.max and just getting the not reset DOM 
							var iframe_id = window.frameElement.id;
							//alert(domHeight);
							jQuery("#" + iframe_id + "", parent.document).css("height",domHeight);
						}	
					<?php /**}*/ ?>
					
				}                                              
				//TRIGGERS TO CHANGE SOMETHING IN RESPONSIVENESS
				jQuery(window).on("resize", function() {	
					listenResponsive();
				});
				jQuery(document).ready(function() {	
					listenResponsive();
				});
				window.onload = function(){
					listenResponsive();
				};
				
				window.setTimeout(function(){ /** and to be really sure and because of all start anims also with timeout when there are elements that are still not there when dom ready, espacially this is the only way in the mobile view to wait before all elements are faded in */
					listenResponsive();	
				},5000);
		</script>
	</head>
	<body class="loading">
		
		<div id="outer" class="<!--container-fluid//-->">
		
			<div id="js_debug" style="display:none;"></div>
			<div id="infobox_bg" style="display:none;"></div>
			
			<div id="runtime" style="display:none;">
				<input id="state-anim-run" name="state-anim-run" value="0" type="hidden">
			</div>
			
			<!--
			<a id="button_window_help" title="Hilfe anzeigen" href="javascript:void(0);"></a>
			<div id="window_help" title="Hilfe ausblenden" class="window" style="display:none;">
				<a href="javascript:void(0);" class="window_close" id="window_help_close"></a>
			</div>
			//-->
		
	
			<div id="main">
				
				<div id="loading"><div class="loading-text">... loading <span id="loading-object"></span> ...</div></div>
				
				<div id="title">
					<?php if(_CONF_RUN_DATA_TITLE != ""){ ?>
						<h1 class="title font-family_sourcesanspro"><?php echo _CONF_RUN_DATA_TITLE; ?></h1>
					<?php } ?>
					<?php if(_CONF_RUN_DATA_TITLE_SUB != ""){ ?>
						<h5 class="title_sub colour_darkgrey font-family_sourcesanspro font-weight_700"><?php echo _CONF_RUN_DATA_TITLE_SUB; ?></h5>
					<?php } ?>
					<?php if(_CONF_RUN_DATA_TITLE_TEXT != ""){ ?>
						<div class="title-text">
							<div class="row colour_anthrazit">
								<div class="col-md-12 font-weight_400 font-family_sourcesanspro">
									<p><?php echo _CONF_RUN_DATA_TITLE_TEXT; ?></p>
								</div>
							</div>
						</div>
					<?php } ?>
				</div>				
				
				
				<div id="scenes">
						
						<div id="message" class="message-relative hidden-xs" style="display: inline-block;">Fahren Sie mit dem Mauszeiger über das Bild und entdecken Sie unsere Wintervögel und was Sie ihnen zum Füttern geben können!</div>
						<div id="message" class="message-relative visible-xs" style="display:none;">Klicken Sie sich durch das Bild und entdecken Sie unsere Wintervögel und was Sie ihnen zum Füttern geben können!</div>
						
						<div id="logo_nabu"></div>
						
						<!-- BIRDS DESK -->
						<div id="scene-01" class="scene scene-01 hidden-xs scene-non-ajax scene-birds scene-birds-desk" style="background: url(images/NABU_Wintervoegel_BG_separiert_1880px.jpg) no-repeat center top /contain transparent;">
							
							<?php
							## PUT OUT THE BIRDS WITH EVERYTHING
							##################################################
							foreach($_DATA as $_BIRD){ ?>
								
								<img src="<?php echo _CONF_DATA_DIR_DATA."/".$_BIRD['image']; ?>" data-placement="auto" title="<img src='<?php echo _CONF_DATA_DIR_DATA."/".$_BIRD['image_tooltip']; ?>' class='tooltip-img img-retina' alt='<?php echo $_BIRD['title']; ?>'><h2><?php echo $_BIRD['title']; ?></h2><p><?php echo $_BIRD['text']; ?></p>" data-toggle="tooltip" id="<?php echo $_BIRD['id']; ?>" class="scene-element-absolute bird <?php echo $_BIRD['id']; ?>" alt="<?php echo $_BIRD['title']; ?>">
								<script>
									jQuery("#scene-01 #<?php echo $_BIRD['id']; ?>").mouseenter(function(){
										jQuery(this).attr("src","<?php echo _CONF_DATA_DIR_DATA."/".$_BIRD['image_ov']; ?>");
									});
									jQuery("#scene-01 #<?php echo $_BIRD['id']; ?>").mouseleave(function(){
										jQuery(this).attr("src","<?php echo _CONF_DATA_DIR_DATA."/".$_BIRD['image']; ?>");
									});
								</script>
								
							<?php } ?>
							<!-- use this only to hold the height responsive (all other elements have to be absolute positioned with that!) //-->
							<img id="scene-birds-image-background" style="float: right; visibility: hidden;" class="scene-heightholder-background" src="images/NABU_Wintervoegel_BG_separiert_1880px.jpg" alt="Vogis Background">
						</div>

						<!-- BIRDS MOBILE -->
						<div id="carousel-scene-02" class="carousel slide visible-xs" data-ride="carousel" data-interval="false">
							<ol class="carousel-indicators">
								<li data-target="#carousel-scene-02" data-slide-to="0" class="active"></li>
								<li data-target="#carousel-scene-02" data-slide-to="1"></li>
								<li data-target="#carousel-scene-02" data-slide-to="2"></li>
							</ol>
							<div class="carousel-inner" role="listbox">
								<div class="item item-left active" rel="#scene-01-01" data-help-rel="1">
									<div id="scene-01-mobile-01" class="scene scene-01 scene-01-mobile scene-non-ajax scene-birds scene-birds-mobile" style="background: url(images/NABU_Wintervoegel_BG_separiert_1880px.jpg) no-repeat center top /contain transparent;">
								
										<?php
										## PUT OUT THE BIRDS WITH EVERYTHING
										##################################################
										foreach($_DATA as $_BIRD){ ?>
											
											<img src="<?php echo _CONF_DATA_DIR_DATA."/".$_BIRD['image']; ?>" data-placement="auto" title="<img src='<?php echo _CONF_DATA_DIR_DATA."/".$_BIRD['image_tooltip']; ?>' class='tooltip-img img-retina' alt='<?php echo $_BIRD['title']; ?>'><h2><?php echo $_BIRD['title']; ?></h2><p><?php echo $_BIRD['text']; ?></p>" data-toggle="tooltip" id="<?php echo $_BIRD['id']; ?>" class="scene-element-absolute bird <?php echo $_BIRD['id']; ?>" alt="<?php echo $_BIRD['title']; ?>">
											<script>
												jQuery("#scene-01-mobile-01 #<?php echo $_BIRD['id']; ?>").mouseenter(function(){
													jQuery(this).attr("src","<?php echo _CONF_DATA_DIR_DATA."/".$_BIRD['image_ov']; ?>");
												});
												jQuery("#scene-01-mobile-01 #<?php echo $_BIRD['id']; ?>").mouseleave(function(){
													jQuery(this).attr("src","<?php echo _CONF_DATA_DIR_DATA."/".$_BIRD['image']; ?>");
												});
											</script>
											
										<?php } ?>
										<!-- use this only to hold the height responsive (all other elements have to be absolute positioned with that!) //-->
										<img id="scene-birds-image-background" style="float: right; visibility: hidden;" class="scene-heightholder-background" src="images/NABU_Wintervoegel_BG_separiert_1880px.jpg" alt="Vogis Background">
									</div>
								</div>
								
								<div class="item item-middle" rel="#scene-01-02" data-help-rel="2">
									<div id="scene-01-mobile-02" class="scene scene-01 scene-01-mobile scene-non-ajax scene-birds scene-birds-mobile" style="background: url(images/NABU_Wintervoegel_BG_separiert_1880px.jpg) no-repeat center top /contain transparent;">
								
										<?php
										## PUT OUT THE BIRDS WITH EVERYTHING
										##################################################
										foreach($_DATA as $_BIRD){ ?>
											
											<img src="<?php echo _CONF_DATA_DIR_DATA."/".$_BIRD['image']; ?>" data-placement="auto" title="<img src='<?php echo _CONF_DATA_DIR_DATA."/".$_BIRD['image_tooltip']; ?>' class='tooltip-img img-retina' alt='<?php echo $_BIRD['title']; ?>'><h2><?php echo $_BIRD['title']; ?></h2><p><?php echo $_BIRD['text']; ?></p>" data-toggle="tooltip" id="<?php echo $_BIRD['id']; ?>" class="scene-element-absolute bird <?php echo $_BIRD['id']; ?>" alt="<?php echo $_BIRD['title']; ?>">
											<script>
												jQuery("#scene-01-mobile-02 #<?php echo $_BIRD['id']; ?>").mouseenter(function(){
													jQuery(this).attr("src","<?php echo _CONF_DATA_DIR_DATA."/".$_BIRD['image_ov']; ?>");
												});
												jQuery("#scene-01-mobile-02 #<?php echo $_BIRD['id']; ?>").mouseleave(function(){
													jQuery(this).attr("src","<?php echo _CONF_DATA_DIR_DATA."/".$_BIRD['image']; ?>");
												});
											</script>
											
										<?php } ?>
										<!-- use this only to hold the height responsive (all other elements have to be absolute positioned with that!) //-->
										<img id="scene-birds-image-background" style="float: right; visibility: hidden;" class="scene-heightholder-background" src="images/NABU_Wintervoegel_BG_separiert_1880px.jpg" alt="Vogis Background">
									</div>
								</div>
								<div class="item item-right" rel="#scene-01-03" data-help-rel="3">
									<div id="scene-01-mobile-03" class="scene scene-01 scene-01-mobile scene-non-ajax scene-birds scene-birds-mobile" style="background: url(images/NABU_Wintervoegel_BG_separiert_1880px.jpg) no-repeat center top /contain transparent;">
								
										<?php
										## PUT OUT THE BIRDS WITH EVERYTHING
										##################################################
										foreach($_DATA as $_BIRD){ ?>
											
											<img src="<?php echo _CONF_DATA_DIR_DATA."/".$_BIRD['image']; ?>" data-placement="auto" title="<img src='<?php echo _CONF_DATA_DIR_DATA."/".$_BIRD['image_tooltip']; ?>' class='tooltip-img img-retina' alt='<?php echo $_BIRD['title']; ?>'><h2><?php echo $_BIRD['title']; ?></h2><p><?php echo $_BIRD['text']; ?></p>" data-toggle="tooltip" id="<?php echo $_BIRD['id']; ?>" class="scene-element-absolute bird <?php echo $_BIRD['id']; ?>" alt="<?php echo $_BIRD['title']; ?>">
											<script>
												jQuery("#scene-01-mobile-03 #<?php echo $_BIRD['id']; ?>").mouseenter(function(){
													jQuery(this).attr("src","<?php echo _CONF_DATA_DIR_DATA."/".$_BIRD['image_ov']; ?>");
												});
												jQuery("#scene-01-mobile-03 #<?php echo $_BIRD['id']; ?>").mouseleave(function(){
													jQuery(this).attr("src","<?php echo _CONF_DATA_DIR_DATA."/".$_BIRD['image']; ?>");
												});
											</script>
											
										<?php } ?>
										<!-- use this only to hold the height responsive (all other elements have to be absolute positioned with that!) //-->
										<img id="scene-birds-image-background" style="float: right; visibility: hidden;" class="scene-heightholder-background" src="images/NABU_Wintervoegel_BG_separiert_1880px.jpg" alt="Vogis Background">
									</div>
								</div>
							</div>
							<!-- Controls -->
							<!--<a style="display: none;" class="left carousel-control" href="./#carousel-scene-02" role="button" data-slide="prev">
								<span class="glyphicon glyphicon-chevron-left" aria-hidden="true"></span>
								<span class="sr-only">Previous</span>
							</a>
							<a class="right carousel-control" href="./#carousel-scene-02" role="button" data-slide="next">
								<span class="glyphicon glyphicon-chevron-right" aria-hidden="true"></span>
								<span class="sr-only">Next</span>
							</a>//-->
						</div><!-- carousel end //-->
						
						
						<div id="scene-07" class="scene scene-07 scene-non-ajax scene-imprint colour_cleanwhite">
							<br>
							<div class="container-fluid">
								<div class="row-fluid">
									<div class="col-sm-12"><a href="javascript:void(0);" id="imprint-trigger" title="Impressum anzeigen" class="imprint-toggle"><strong>IMPRESSUM</strong></a></div>
									<script>
										jQuery(document).ready(function(){
											
											jQuery(".imprint-toggle").click(function(){
												if(jQuery(".scene-imprint").hasClass("fixed")){
													jQuery("body,html").removeClass("imprint");
													jQuery(".scene-imprint .imprint-fixed").fadeOut();	
													jQuery(".imprint-toggle").attr("title","Impressum anzeigen");
													jQuery(".scene-imprint").removeClass("fixed");
													setTimeout(function(){ jQuery("html, body").animate({ scrollTop: jQuery(document).height() }, "fast"); }, 600);
												}else{
													jQuery("body,html").addClass("imprint");
													jQuery(".scene-imprint .imprint-fixed").fadeIn();	
													jQuery(".scene-imprint").addClass("fixed");
													jQuery(".imprint-toggle").attr("title","Impressum schließen");
												}
											});
										});
									</script>
								</div>
								<div class="row-fluid imprint-fixed" style="display: none;">
									<a href="javascript:void(0)" title="Impressum schließen" id="imprint-close" class="imprint-toggle">x</a>
									<div class="col-sm-6">
										<!--<strong>IMPRESSUM</strong>//-->
										<br>
										
										<p class="dont-hyphenate">
											
												<strong>Naturschutzbund Deutschland 
												(NABU) e.V.</strong>
										</p>
										<p class="dont-hyphenate">
												Charitéstraße 3, 10117 Berlin<br>
												<a href="http://www.nabu.de" title="NABU Homepage (in neuem Tab öffnen) ..." target="_blank">www.NABU.de</a>
										</p>
										
									</div>
									<div class="col-sm-3">
										
										<br>
										<p>
											<strong>Text & Redaktion</strong>
											<br>
											Kerstin Arnold,<br/>Eric Neuling
										</p>
										
										<p>
											<strong>Gestaltung</strong>
											<br>
											Diana Neumerkel
										</p>
										<p>
											<strong>Illustration</strong>
											<br>
											Jenni Ottilie Keppler
										</p>
									</div>
									<div class="col-sm-3">
										
										<br>
										
										<p>
											<strong>Web-Konzept</strong>
											<br>
											Wigwam e.G.
										</p>
										<p>
											<br/><strong>LIZENZ</strong>
											<br/>
											<a href="https://creativecommons.org/licenses/by-sa/3.0/de/" target="_blank" title="CC-BY-SA Lizenzinfo auf - creativecommons.org">CC-BY-SA</a>
										</p>
										<p>
											NABU-Bundesverband
											<br>
											1. Auflage 01/2017
												
										</p>
									</div>
								</div>
							</div>
							<br>
						</div>
				</div><!-- scenes end //-->
				
			</div><!-- main end //-->

			<script>
			
				/** 
				* INITS OF DOM (for start animations, etc.)
				* /////////////////////////////////////////////////////////
				* (always last, after all elements, and before </body> tag)
				*/
				
				//hide initially before animating
				//////////////////////////////////////
				jQuery("#scene-01").css("opacity",0.00);
				jQuery("#scenes .bird").hide(0);
				//jQuery("#infobox").hide(0);
				
				<?php if(_CONF_RUN_DATA_TITLE != ""){ ?>
					//jQuery("h1.title").hide(0);
				<?php } ?>
				<?php if(_CONF_RUN_DATA_TITLE_SUB != ""){ ?>
					//jQuery("h5.title_sub").hide(0);
				<?php } ?>
				
				jQuery(document).ready(function(){
					
					//PRELOADERFUNCTION 
					// - because sometimes they are BIIIIIG
					// - fires a function or commands AFTER IMAGES are PRELOADED
						
						//gather all images
						var Objects = new Array();
							<?php 
							// 1) this is, if we have an $_DATA holding array defined in the config-file, for objects
							//////////////////////////////////////////////////////////////////////////////////////////
							if(@$_DATA)
							{
								$i=0;
								foreach($_DATA as $_DATA_ITEM)
								{ ?>
									//Still image
									Objects[<?php echo $i; ?>] = new Array();
									Objects[<?php echo $i; ?>]['image'] = '<?php echo _CONF_DATA_DIR_DATA.'/'.$_DATA_ITEM['image']; ?>';
									<?php $i++; ?> 
									//hover Image
									Objects[<?php echo $i; ?>] = new Array();
									Objects[<?php echo $i; ?>]['image'] = '<?php echo _CONF_DATA_DIR_DATA.'/'.$_DATA_ITEM['image_ov']; ?>';
									<?php $i++; ?> 
									//Tooltip Image
									Objects[<?php echo $i; ?>] = new Array();
									Objects[<?php echo $i; ?>]['image'] = '<?php echo _CONF_DATA_DIR_DATA.'/'.$_DATA_ITEM['image_tooltip']; ?>';
								<?php 	$i++; 
								} 
							}
							// 2) OR do it in another way and build up the Objects js-array by finding all images in the DOM or so ...
							//////////////////////////////////////////////////////////////////////////////////////////////////////////
							/** .... */
							?>
							
						function preloadImageArray_and_TriggerAfter(Objects)
						{
							//show preloader
							//jQuery("#ajax_preloader").show();
							//jQuery("#ajax_preloader #ajax_preloader_display").show(0).html('[ initializing ]');
							
							// Preload Images and do something AFTER!
							// - great function
							/////////////////////////////////////////////
							
							var newimages=[], loadedimages=0;
							
							
							//FIRES when all images are loaded
							////////////////////////////////////////////////////////////////////
							//with this here you can do something after preloading and not while
							//great, huh?
							var funcPostaction = function()
							{
								//(1) FADE IN AND OUT ELEMENTS
								////////////////////////////
								//FX
								window.setTimeout(function(){
			
									jQuery(".message-bottom").fadeIn(2750);
									jQuery("body").removeClass("loading");
									jQuery("#scene-01").fadeTo('slow',1.00);
									
									
									window.setTimeout(function(){
										
										//jQuery("#message").fadeIn(1000);
										//jQuery("#message").removeClass("hidden");
										window.setTimeout(function(){
											//jQuery("#message").fadeOut(3000);
										},4700);
									},2300);
									window.setTimeout(function(){
										jQuery("#scenes .bird").each(function(index) {
											jQuery(this).delay(150*index).fadeIn(500);
										});
										//jQuery("#scenes").fadeIn();
									},1000);   
								},1050);
								
								//show infobox in nice way
								//jQuery("#infobox").slideDown(2000);
								
								<?php if(_CONF_RUN_DATA_TITLE != ""){ ?>
									//show h2.title in nice way
									jQuery("h1.title").fadeIn(2000);
								<?php } ?>
								<?php if(_CONF_RUN_DATA_TITLE_SUB != ""){ ?>
									//show h2.title_sub in nice way
									jQuery("h5.title_sub").fadeIn(4000);
								<?php } ?>
							};
							
							var Objects = (typeof Objects!="object")? [Objects] : Objects
							
							//if a new image has been loaded
							function funcImageload_Post(){
								loadedimages++;
								if(loadedimages == Objects.length){
									funcPostaction(newimages); //call postaction and pass in newimages Objectsay as parameter
								}
							}
							
							//actually the preloader
							for(var i=0; i < Objects.length; i++){
								
								CheckImageSrc = Objects[i]['image'];
								
								newimages[i] = new Image();
								//newimages[i].src = Objects[i]
								newimages[i].src = Objects[i]['image']; ////Objects[i]['src'] = the source of the anim gif
								//alert(newimages[i].src);
								
								
									//status
									newimages[i].onload = function(){
										jQuery("#loading #loading-object").html('' + (i+1) + '/' + (Objects.length + 1) + '');
										funcImageload_Post();
									}
								
									//error
									newimages[i].onerror=function(){
										//alert("Error loading Object #" + i + " (array_index_i="+ i +", object_count_n="+ (i+1) +") :: " + CheckImageSrc  + " :: seems NOT to exists!");
										funcImageload_Post();
									}
								
							}//forend
							
							return{ 
								//return blank object with done() method
								done:function(f){
									funcPostaction = f || funcPostaction; //remember user defined callback functions to be called when images load
								}
							}
						}//preloader end	
						
						/**CALL PRELOADER AND INITS (NOT USED HERE IN THIS SCRIPT BECAUSE WE HAVE THE IMGs NOT IN AN DATA-ARRAY)*/
						preloadImageArray_and_TriggerAfter(Objects);
						
				});
				/** INIT ANIMS end */
			</script>
			
		</div><!-- outer end //-->
		
	</body>
</html>